Bug 214238 - graphics/qgis: Update to 2.18.0
Summary: graphics/qgis: Update to 2.18.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Thomas Zander
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2016-11-05 10:00 UTC by Rainer Hurling
Modified: 2016-12-26 02:39 UTC (History)
3 users (show)

See Also:


Attachments
patch to update graphics/qgis from 2.14.3 to 2.18.0 (155.78 KB, patch)
2016-11-05 10:00 UTC, Rainer Hurling
rhurlin: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Rainer Hurling 2016-11-05 10:00:33 UTC
Created attachment 176653 [details]
patch to update graphics/qgis from 2.14.3 to 2.18.0

This major update from QGIS 2.14.3 to 2.18.0 comes with many new features and bugfixes [1]. On FreeBSD, QGIS 2.16.x was skipped mainly because of problems with editing vector attributes.


Some highlights of the attached patch:
- Update to 2.18.0
- New dependency devel/qjson
- New makefile target 'check', which runs the test suite
- Use of external python functionality, if possible (via CMAKE_ARGS) [2]
- Switch from PostGIS 2.1 to 2.2


In former versions of graphics/qgis, there was a problem with installation of an invalid shared library [2]. Now bug #210164 should be closed, as py-MarkupSafe is an external, native FreeBSD dependency.


[1] http://qgis.org/en/site/forusers/visualchangelog218/
[2] https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=210164


The patch was tested on Poudriere (9.3i/a, 10.3i/a, 11.0i/a  and, HEADa, with options all enabled, all disabled and default).

portlint -AC seems happy.
Comment 1 Thomas Zander freebsd_committer 2016-11-28 09:24:51 UTC
It does not build for me on 9.3 i386 (default OPTIONs) in poudriere:

[ 88%] Generating ui_console_compile_apis.py
cd /wrkdirs/usr/ports/graphics/qgis/work/QGIS-final-2_18_0/python/console && ../../scripts/pyuic-wrapper.sh /usr/local/bin/pyuic4 /wrkdirs/usr/ports/graphics/qgis/work/QGIS-final-2_18_0/output/lib /wrkdirs/usr/ports/graphics/qgis/work/QGIS-final-2_18_0/output/python /usr/local/bin/python2.7 /wrkdirs/usr/ports/graphics/qgis/work/QGIS-final-2_18_0/python/console/console_compile_apis.ui -o /wrkdirs/usr/ports/graphics/qgis/work/QGIS-final-2_18_0/python/console/ui_console_compile_apis.py
Traceback (most recent call last):
  File "../../scripts/pyuic-wrapper.py", line 26, in <module>
    import qgis.PyQt.uic.pyuic
  File "/wrkdirs/usr/ports/graphics/qgis/work/QGIS-final-2_18_0/output/python/qgis/__init__.py", line 27, in <module>
    from qgis.core import QgsFeature, QgsGeometry
  File "/wrkdirs/usr/ports/graphics/qgis/work/QGIS-final-2_18_0/output/python/qgis/core/__init__.py", line 30, in <module>
    from qgis._core import *
ImportError: /usr/lib/libstdc++.so.6: version CXXABI_1.3.8 required by /wrkdirs/usr/ports/graphics/qgis/work/QGIS-final-2_18_0/output/python/qgis/_core.so not found
gmake[2]: *** [python/console/CMakeFiles/pyconsole.dir/build.make:66: python/console/ui_console_compile_apis.py] Error 1
gmake[2]: Leaving directory '/wrkdirs/usr/ports/graphics/qgis/work/QGIS-final-2_18_0'
gmake[1]: *** [CMakeFiles/Makefile2:7808: python/console/CMakeFiles/pyconsole.dir/all] Error 2
gmake[1]: *** Waiting for unfinished jobs....
Comment 2 Rainer Hurling 2016-11-29 18:19:42 UTC
(In reply to Thomas Zander from comment #1)

Oops, this should not happen. Thanks for the hint.

ATM, I have no clue what is going on here, but will investigate. This may take some time, because my Poudriere is not able to create 9.3 jails any more :(
Comment 3 commit-hook freebsd_committer 2016-12-23 03:16:53 UTC
A commit references this bug:

Author: wen
Date: Fri Dec 23 03:15:53 UTC 2016
New revision: 429216
URL: https://svnweb.freebsd.org/changeset/ports/429216

Log:
  - Update to 2.18.2(based on)
  - New dependency devel/qjson
  - New makefile target 'check', which runs the test suite
  - Use of external python functionality, if possible (via CMAKE_ARGS) [2]
  - Switch from PostGIS 2.1 to 2.2

  PR:		214238
  Submitted by:	rhurlin@gwdg.de(maintainer)

Changes:
  head/graphics/qgis/Makefile
  head/graphics/qgis/distinfo
  head/graphics/qgis/files/patch-debian_qgis.desktop
  head/graphics/qgis/files/patch-src_plugins_grass_CMakeLists.txt
  head/graphics/qgis/files/patch-src_plugins_grass_qtermwidget_kpty.cpp
  head/graphics/qgis/pkg-plist
Comment 4 Wen Heping freebsd_committer 2016-12-23 03:17:59 UTC
Hi,

   I committed this PR but update it to 2.18.2, and I have not fix the build on FreeBSD-9 since we shall drop the support of FreeBSD-9 soon(2016-12-31).

wen
Comment 5 Rainer Hurling 2016-12-23 07:25:59 UTC
Thanks Wen,
your additions to the update are very appreciated!

I also agree, that we should not spent any more time and energy in fixing for 9.x.
Comment 6 Rainer Hurling 2016-12-23 08:14:12 UTC
Unfortunetely, that there is a small typo in pkg-plist, which should be corrected:


--- pkg-plist.orig	2016-12-23 08:28:00.417502000 +0100
+++ pkg-plist	2016-12-23 08:32:50.165427000 +0100
@@ -799,7 +799,7 @@
 lib/qgis/plugins/libzonalstatisticsplugin.so
 lib/qgis/qgis_help
 %%CUSTOMWIDGETS%%%%QT_PLUGINDIR%%/designer/libqgis_customwidgets.so
-%%CUSTOMWIDGETS%%%%QT_PLUGINDIR%%/designer/libqgis_customwidgets.so.2.18.0
+%%CUSTOMWIDGETS%%%%QT_PLUGINDIR%%/designer/libqgis_customwidgets.so.2.18.2
 man/man1/qbrowser.1.gz
 man/man1/qgis.1.gz
 share/applications/qgis.desktop